TaskAttemptIdPBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records.impl.pb, class: TaskAttemptIdPBImpl

Package org.apache.hadoop.mapreduce.v2.api.records.impl.pb

# Class TaskAttemptIdPBImpl

java.lang.Object
org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId
org.apache.hadoop.mapreduce.v2.api.records.impl.pb.TaskAttemptIdPBImpl

All Implemented Interfaces:
  `Comparable<TaskAttemptId>`

public class TaskAttemptIdPBImpl extends TaskAttemptId

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId

  `TASKATTEMPT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaskAttemptIdPBImpl()`
  `TaskAttemptIdPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptIdProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptIdProto`
  `getProto()`
  `TaskId`
  `getTaskId()`
  `void`
  `setId(int id)`
  `void`
  `setTaskId(TaskId taskId)`

  ### Methods inherited from class org.apache.hadoop.mapreduce.v2.api.records.TaskAttemptId

  `compareTo, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TaskAttemptIdPBImpl

    public TaskAttemptIdPBImpl()

  - ### TaskAttemptIdPBImpl

    public TaskAttemptIdPBImpl(org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptIdProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRProtos.TaskAttemptIdProto getProto()

  - ### getId

    public int getId()
    Specified by:
      `getId` in class `TaskAttemptId`
    Returns:
      the attempt id.

  - ### setId

    public void setId(int id)
    Specified by:
      `setId` in class `TaskAttemptId`

  - ### getTaskId

    public TaskId getTaskId()
    Specified by:
      `getTaskId` in class `TaskAttemptId`
    Returns:
      the associated TaskId.

  - ### setTaskId

    public void setTaskId(TaskId taskId)
    Specified by:
      `setTaskId` in class `TaskAttemptId`